Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.control
Interface TaskBatchControl

All Superinterfaces:
  Serializable, TaskBaseAnnotations, TaskBaseControl, TaskBatchAnnotations

All Known Subinterfaces:
  TaskWorkerControl

    public interface TaskBatchControl

extends TaskBaseControl, TaskBatchAnnotations, Serializable

The Task Batch control enables a business process or UI to work with a batch of tasks with a single control method. They can assume ownership of Tasks, work on them, and complete them. Task Batch control offers administrative operations, such as operations to start, stop, delete, and assign. You can extend this control.

Nested Class Summary

Nested classes/interfaces inherited from interface com.bea.control.TaskBaseAnnotations
`TaskBaseAnnotations.AssigneeDefinitionAnno, TaskBaseAnnotations.AssignmentInstructions81x, TaskBaseAnnotations.AssignmentInstructionsAnno, TaskBaseAnnotations.BusinessTimeAnno, TaskBaseAnnotations.ContainerHandleAnno, TaskBaseAnnotations.DateTimeSpec, TaskBaseAnnotations.FieldName, TaskBaseAnnotations.Flag, TaskBaseAnnotations.PropertyValue, TaskBaseAnnotations.StepTimeEstimate, TaskBaseAnnotations.TaskAbort, TaskBaseAnnotations.TaskAssign, TaskBaseAnnotations.TaskAssign81x, TaskBaseAnnotations.TaskClaim, TaskBaseAnnotations.TaskClaim81x, TaskBaseAnnotations.TaskComplete, TaskBaseAnnotations.TaskCreate, TaskBaseAnnotations.TaskDelete, TaskBaseAnnotations.TaskGetData, TaskBaseAnnotations.TaskGetInfo, TaskBaseAnnotations.TaskGetProperties, TaskBaseAnnotations.TaskGetPropertyNames81x, TaskBaseAnnotations.TaskGetRequest81x, TaskBaseAnnotations.TaskGetResponse81x, TaskBaseAnnotations.TaskPlanID, TaskBaseAnnotations.TaskRemoveProperties81x, TaskBaseAnnotations.TaskResume, TaskBaseAnnotations.TaskReturn, TaskBaseAnnotations.TaskReturn81x, TaskBaseAnnotations.TaskSetError, TaskBaseAnnotations.TaskSetProperties, TaskBaseAnnotations.TaskSetProperty81x, TaskBaseAnnotations.TaskSetRequest81x, TaskBaseAnnotations.TaskSetResponse81x, TaskBaseAnnotations.TaskStart81x, TaskBaseAnnotations.TaskStop81x, TaskBaseAnnotations.TaskSuspend, TaskBaseAnnotations.TaskTakeAction, TaskBaseAnnotations.TaskUpdate81x`

Nested classes/interfaces inherited from interface com.bea.control.TaskBatchAnnotations
`TaskBatchAnnotations.TaskQueryAnno, TaskBatchAnnotations.TaskSelect`

Nested classes/interfaces inherited from interface com.bea.control.TaskBaseAnnotations
`TaskBaseAnnotations.AssigneeDefinitionAnno, TaskBaseAnnotations.AssignmentInstructions81x, TaskBaseAnnotations.AssignmentInstructionsAnno, TaskBaseAnnotations.BusinessTimeAnno, TaskBaseAnnotations.ContainerHandleAnno, TaskBaseAnnotations.DateTimeSpec, TaskBaseAnnotations.FieldName, TaskBaseAnnotations.Flag, TaskBaseAnnotations.PropertyValue, TaskBaseAnnotations.StepTimeEstimate, TaskBaseAnnotations.TaskAbort, TaskBaseAnnotations.TaskAssign, TaskBaseAnnotations.TaskAssign81x, TaskBaseAnnotations.TaskClaim, TaskBaseAnnotations.TaskClaim81x, TaskBaseAnnotations.TaskComplete, TaskBaseAnnotations.TaskCreate, TaskBaseAnnotations.TaskDelete, TaskBaseAnnotations.TaskGetData, TaskBaseAnnotations.TaskGetInfo, TaskBaseAnnotations.TaskGetProperties, TaskBaseAnnotations.TaskGetPropertyNames81x, TaskBaseAnnotations.TaskGetRequest81x, TaskBaseAnnotations.TaskGetResponse81x, TaskBaseAnnotations.TaskPlanID, TaskBaseAnnotations.TaskRemoveProperties81x, TaskBaseAnnotations.TaskResume, TaskBaseAnnotations.TaskReturn, TaskBaseAnnotations.TaskReturn81x, TaskBaseAnnotations.TaskSetError, TaskBaseAnnotations.TaskSetProperties, TaskBaseAnnotations.TaskSetProperty81x, TaskBaseAnnotations.TaskSetRequest81x, TaskBaseAnnotations.TaskSetResponse81x, TaskBaseAnnotations.TaskStart81x, TaskBaseAnnotations.TaskStop81x, TaskBaseAnnotations.TaskSuspend, TaskBaseAnnotations.TaskTakeAction, TaskBaseAnnotations.TaskUpdate81x`

Method Summary

Methods inherited from interface com.bea.control.TaskBaseControl
`constructTask, createTask, getTaskPlan`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD